Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrnv2.service.impl
Class ConsultrnCBSSPersonServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.consultrnv2.service.impl.ConsultrnCBSSPersonServiceImpl

All Implemented Interfaces:
  ConsultrnCBSSPersonService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class ConsultrnCBSSPersonServiceImpl

extends Object
implements ConsultrnCBSSPersonService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Constructor Summary
`ConsultrnCBSSPersonServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

Method Summary
`void` | `bootstrap()`
`RegisterPersonResponse` | `registerPerson(SAMLToken token, RegisterPersonRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultrnCBSSPersonServiceImpl

    public ConsultrnCBSSPersonServiceImpl(SessionValidator sessionValidator,
                                          EhealthReplyValidator replyValidator)

Method Detail

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

### registerPerson

    public RegisterPersonResponse registerPerson(SAMLToken token,
                                                 RegisterPersonRequest request)
                                          throws TechnicalConnectorException

  Specified by:
    `registerPerson` in interface `ConsultrnCBSSPersonService`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.